Bug 110798 - kernel-unsupported and kernel rpms do not have matching versions
kernel-unsupported and kernel rpms do not have matching versions
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: dff
Depends On:
  Show dependency treegraph
Reported: 2003-11-24 11:17 EST by Brad Smith
Modified: 2007-11-30 17:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-29 17:45:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brad Smith 2003-11-24 11:17:16 EST
The version of the kernel-unsupported rpm provided with the RHEL 3
easy ISOs image is for kernel version 2.4.21-1.1931.2.399.ent, whereas
the kernel that is installed by default is 2.4.21-4.EL As such, the
unsupported modules complain about being compiled against the wrong
kernel version and refuse to load. 

The version of both rpms on rhn is 2.4.21-4.0.1.EL.
Comment 1 Arjan van de Ven 2003-11-24 11:21:22 EST
it really sounds like you have a broken iso set.........
where did you get it ?
Comment 2 Brad Smith 2003-11-24 11:40:35 EST
Downloaded it from rhn EasyISOs yesterday:


The md5sums listed there match the ones I created my CDs from. 
Comment 3 Arjan van de Ven 2003-11-24 12:15:18 EST
RHN just checked and they say the isos have version 4.EL for all
kernel* which is the expected thing.....
Comment 4 Helmut G. Katzgraber 2004-02-23 11:03:02 EST
Note that the kernel-unsupported modules will not load on an SMP
kernel. any chance for a SMP version of the package?
Comment 5 Arjan van de Ven 2004-02-23 11:04:18 EST
there is kernel-smp-unsupported

Note You need to log in before you can comment on or make changes to this bug.